package com.prolog.upcloud.base.wh.operate.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description 库存调整
 * @Date 2021-04-07
 */
@ApiModel
public class ErpAdjustAddVO implements Serializable {


	private static final long serialVersionUID = 5022627311144924716L;
	@ApiModelProperty(value = "单据id", required = true)
	private String adjustHeaderId;

	@ApiModelProperty(value = "单据编号", required = true)
	private String autoBillNum;

	@ApiModelProperty(value = "单据类型 1：报损单2：报溢单", required = true)
	private String adjustBillType;

	@ApiModelProperty(value = "仓库ID", required = true)
	private String warehouseId;

	@ApiModelProperty(value = "货主ID", required = true)
	private String cargoOwnerId;

	@ApiModelProperty(value = "货位ID", required = true)
	private String whLocatorId;

	@ApiModelProperty(value = "商品ID", required = true)
	private String itemId;

	@ApiModelProperty(value = "损溢数量", required = true)
	private BigDecimal pieceQuantity;

	@ApiModelProperty(value = "批次id", required = true)
	private String batchId;

	@ApiModelProperty(value = "行号", required = true)
	private String seqno;

	@ApiModelProperty(value = "单据明细唯一id", hidden = true)
	private String adjustLineId;

	@ApiModelProperty(value = "商品批号")
	private String manufacturerLotNum;

	@ApiModelProperty(value = "生产日期")
	private Date productionDate;

	@ApiModelProperty(value = "有效期至")
	private Date batchExpiredDate;

	@ApiModelProperty(value = "包装含量（最大）")
	private BigDecimal conversionRate;

	@ApiModelProperty(value = "商品批次编号")
	private String batchNum;

	@ApiModelProperty(value = "单位(最大)")
	private String uom;

	@ApiModelProperty(value = "库存状态（1合格/2不合格/3待检/4退货）")
	private String stockStatus;

	@ApiModelProperty(value = "来源类型（0：计划盘点 1：无计划盘点 2：WMS调整 3: erp调整）")
	private String adjustType;
	// 行id
	@ApiModelProperty(value = "明细行id")
	private String lineId;

	@ApiModelProperty(value = "明细行备注")
	private String remark;

	@ApiModelProperty(value = "显示生产日期")
	private String showProductionDate;

	@ApiModelProperty(value = "显示有效期至")
	private String showExpiredDate;

	public String getAdjustLineId() {
		return adjustLineId;
	}

	public void setAdjustLineId(String adjustLineId) {
		this.adjustLineId = adjustLineId;
	}

	public String getShowProductionDate() {
		return showProductionDate;
	}

	public void setShowProductionDate(String showProductionDate) {
		this.showProductionDate = showProductionDate;
	}

	public String getShowExpiredDate() {
		return showExpiredDate;
	}

	public void setShowExpiredDate(String showExpiredDate) {
		this.showExpiredDate = showExpiredDate;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getLineId() {
		return lineId;
	}

	public void setLineId(String lineId) {
		this.lineId = lineId;
	}

	public String getSeqno() {
		return seqno;
	}

	public void setSeqno(String seqno) {
		this.seqno = seqno;
	}

	public String getAdjustHeaderId() {
		return adjustHeaderId;
	}

	public void setAdjustHeaderId(String adjustHeaderId) {
		this.adjustHeaderId = adjustHeaderId;
	}

	public String getAutoBillNum() {
		return autoBillNum;
	}

	public void setAutoBillNum(String autoBillNum) {
		this.autoBillNum = autoBillNum;
	}

	public String getWarehouseId() {
		return warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getCargoOwnerId() {
		return cargoOwnerId;
	}

	public void setCargoOwnerId(String cargoOwnerId) {
		this.cargoOwnerId = cargoOwnerId;
	}

	public String getWhLocatorId() {
		return whLocatorId;
	}

	public void setWhLocatorId(String whLocatorId) {
		this.whLocatorId = whLocatorId;
	}

	public String getItemId() {
		return itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	public String getBatchId() {
		return batchId;
	}

	public void setBatchId(String batchId) {
		this.batchId = batchId;
	}

	public Date getProductionDate() {
		return productionDate;
	}

	public void setProductionDate(Date productionDate) {
		this.productionDate = productionDate;
	}

	public Date getBatchExpiredDate() {
		return batchExpiredDate;
	}

	public void setBatchExpiredDate(Date batchExpiredDate) {
		this.batchExpiredDate = batchExpiredDate;
	}

	public BigDecimal getConversionRate() {
		return conversionRate;
	}

	public void setConversionRate(BigDecimal conversionRate) {
		this.conversionRate = conversionRate;
	}

	public String getBatchNum() {
		return batchNum;
	}

	public void setBatchNum(String batchNum) {
		this.batchNum = batchNum;
	}

	public String getUom() {
		return uom;
	}

	public void setUom(String uom) {
		this.uom = uom;
	}

	public String getStockStatus() {
		return stockStatus;
	}

	public void setStockStatus(String stockStatus) {
		this.stockStatus = stockStatus;
	}

	public String getAdjustType() {
		return adjustType;
	}

	public void setAdjustType(String adjustType) {
		this.adjustType = adjustType;
	}

	public String getManufacturerLotNum() {
		return manufacturerLotNum;
	}

	public void setManufacturerLotNum(String manufacturerLotNum) {
		this.manufacturerLotNum = manufacturerLotNum;
	}

	public BigDecimal getPieceQuantity() {
		return pieceQuantity;
	}

	public void setPieceQuantity(BigDecimal pieceQuantity) {
		this.pieceQuantity = pieceQuantity;
	}

	public String getAdjustBillType() {
		return adjustBillType;
	}

	public void setAdjustBillType(String adjustBillType) {
		this.adjustBillType = adjustBillType;
	}

}
